| OpenCV 3.4.3 Open Source Computer Vision

Public Types | Public Member Functions | List of all members
cv::SparseMatIterator_< _Tp > Class Template Reference
Core functionality » Basic structures

Template Read-Write Sparse Matrix Iterator Class. More...

`#include "mat.hpp"`

Inheritance diagram for cv::SparseMatIterator_< _Tp >:

## Public Types
typedef std::forward_iterator_tag | iterator_category
Public Types inherited from cv::SparseMatConstIterator_< _Tp >
typedef std::forward_iterator_tag | iterator_category

## Public Member Functions
| SparseMatIterator_ ()
| the default constructor More...
| SparseMatIterator_ (SparseMat_< _Tp > *_m)
| the full constructor setting the iterator to the first sparse matrix element More...
| SparseMatIterator_ (SparseMat *_m)
| SparseMatIterator_ (const SparseMatIterator_ &it)
| the copy constructor More...
_Tp & | operator* () const
| returns the reference to the current element More...
SparseMatIterator_ & | operator++ ()
| moves the iterator to the next element More...
SparseMatIterator_ | operator++ (int)
| moves the iterator to the next element More...
SparseMatIterator_ & | operator= (const SparseMatIterator_ &it)
| the assignment operator More...
Public Member Functions inherited from cv::SparseMatConstIterator_< _Tp >
| SparseMatConstIterator_ ()
| the default constructor More...
| SparseMatConstIterator_ (const SparseMat_< _Tp > *_m)
| the full constructor setting the iterator to the first sparse matrix element More...
| SparseMatConstIterator_ (const SparseMat *_m)
| SparseMatConstIterator_ (const SparseMatConstIterator_ &it)
| the copy constructor More...
const _Tp & | operator* () const
| the element access operator More...
SparseMatConstIterator_ & | operator++ ()
| moves iterator to the next element More...
SparseMatConstIterator_ | operator++ (int)
| moves iterator to the next element More...
SparseMatConstIterator_ & | operator= (const SparseMatConstIterator_ &it)
| the assignment operator More...
Public Member Functions inherited from cv::SparseMatConstIterator
| SparseMatConstIterator ()
| the default constructor More...
| SparseMatConstIterator (const SparseMat *_m)
| the full constructor setting the iterator to the first sparse matrix element More...
| SparseMatConstIterator (const SparseMatConstIterator &it)
| the copy constructor More...
const SparseMat::Node * | node () const
| returns the current node of the sparse matrix. it.node->idx is the current element index More...
SparseMatConstIterator & | operator++ ()
| moves iterator to the next element More...
SparseMatConstIterator | operator++ (int)
| moves iterator to the next element More...
SparseMatConstIterator & | operator-- ()
| moves iterator to the previous element More...
SparseMatConstIterator | operator-- (int)
| moves iterator to the previous element More...
SparseMatConstIterator & | operator= (const SparseMatConstIterator &it)
| the assignment operator More...
void | seekEnd ()
| moves iterator to the element after the last element More...
template<typename _Tp >
const _Tp & | value () const
| template method returning the current matrix element More...

## Additional Inherited Members
Public Attributes inherited from cv::SparseMatConstIterator
size_t | hashidx
const SparseMat * | m
uchar * | ptr

## Detailed Description

### template<typename _Tp>
class cv::SparseMatIterator_< _Tp >

Template Read-Write Sparse Matrix Iterator Class.

This is the derived from cv::SparseMatConstIterator_ class that introduces more convenient operator *() for accessing the current element.

## Member Typedef Documentation

## § iterator_category

template<typename _Tp >

typedef std::forward_iterator_tag cv::SparseMatIterator_< _Tp >::iterator_category

## Constructor & Destructor Documentation

## § SparseMatIterator_() [1/4]

template<typename _Tp >

cv::SparseMatIterator_< _Tp >::SparseMatIterator_ | ( |  | ) |

the default constructor

## § SparseMatIterator_() [2/4]

template<typename _Tp >

cv::SparseMatIterator_< _Tp >::SparseMatIterator_ | ( | SparseMat_< _Tp > * | _m | ) |

the full constructor setting the iterator to the first sparse matrix element

## § SparseMatIterator_() [3/4]

template<typename _Tp >

cv::SparseMatIterator_< _Tp >::SparseMatIterator_ | ( | SparseMat * | _m | ) |

## § SparseMatIterator_() [4/4]

template<typename _Tp >

cv::SparseMatIterator_< _Tp >::SparseMatIterator_ | ( | const SparseMatIterator_< _Tp > & | it | ) |

the copy constructor

## Member Function Documentation

## § operator*()

template<typename _Tp >

_Tp& cv::SparseMatIterator_< _Tp >::operator* | ( |  | ) | const

returns the reference to the current element

## § operator++() [1/2]

template<typename _Tp >

SparseMatIterator_& cv::SparseMatIterator_< _Tp >::operator++ | ( |  | ) |

moves the iterator to the next element

## § operator++() [2/2]

template<typename _Tp >

SparseMatIterator_ cv::SparseMatIterator_< _Tp >::operator++ | ( | int |  | ) |

moves the iterator to the next element

## § operator=()

template<typename _Tp >

SparseMatIterator_& cv::SparseMatIterator_< _Tp >::operator= | ( | const SparseMatIterator_< _Tp > & | it | ) |

the assignment operator

The documentation for this class was generated from the following file:

- core/include/opencv2/core/mat.hpp